ModelUtil (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.util.model, class: ModelUtil

Package opennlp.tools.util.model

# Class ModelUtil

java.lang.Object
opennlp.tools.util.model.ModelUtil

public final class ModelUtil extends Object
Utility class for handling of `models`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addCutoffAndIterations(Map<String,String> manifestInfoEntries, int cutoff, int iterations)`
  Adds `cutoff` and `iterations` to `manifestInfoEntries`.
  `static opennlp.tools.util.TrainingParameters`
  `createDefaultTrainingParameters()`
  Creates the default `TrainingParameters` in case they are not provided.
  `static byte[]`
  `read(InputStream in)`
  Reads from the provided `InputStream` into a byte array.
  `static boolean`
  `validateOutcomes(opennlp.tools.ml.model.MaxentModel model, String... expectedOutcomes)`
  Checks if the `expectedOutcomes` are all contained as outcomes in the given `model`.
  `static void`
  `writeModel(opennlp.tools.ml.model.MaxentModel model, OutputStream out)`
  Writes the given `MaxentModel` to the specified `OutputStream`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### writeModel

    public static void writeModel(opennlp.tools.ml.model.MaxentModel model, OutputStream out) throws IOException, IllegalArgumentException
    Writes the given `MaxentModel` to the specified `OutputStream`.

    Note: The provided stream is not closed.

    Parameters:
      `model` - The `model` to be written.
      `out` - the `stream` to be used for writing.
    Throws:
      `IOException` - Thrown if IO errors occurred.
      `IllegalArgumentException` - Thrown if one of the parameters is `null`.

  - ### validateOutcomes

    public static boolean validateOutcomes(opennlp.tools.ml.model.MaxentModel model, String... expectedOutcomes)
    Checks if the `expectedOutcomes` are all contained as outcomes in the given `model`.
    Parameters:
      `model` - A valid `MaxentModel` instance.
      `expectedOutcomes` - The outcomes to be checked for.
    Returns:
      `true` if all expected outcomes are the only outcomes of the model `false` otherwise.

  - ### read

    public static byte[] read(InputStream in) throws IOException
    Reads from the provided `InputStream` into a byte array.
    Parameters:
      `in` - A valid, open `InputStream` to read data from.
    Returns:
      A `byte[]` with the data read.
    Throws:
      `IOException` - Thrown if IO errors occurred.

  - ### addCutoffAndIterations

    public static void addCutoffAndIterations(Map<String,String> manifestInfoEntries, int cutoff, int iterations)
    Adds `cutoff` and `iterations` to `manifestInfoEntries`.
    Parameters:
      `manifestInfoEntries` - A `Map` representing a `manifest.properties` config.
      `cutoff` - The cut-off value to set. Must be greater than `0`.
      `iterations` - The number of iterations to set. Must be greater than `0`.

  - ### createDefaultTrainingParameters

    @Internal public static opennlp.tools.util.TrainingParameters createDefaultTrainingParameters()
    Creates the default `TrainingParameters` in case they are not provided.

    Note: Do not use this method, internal use only!

    Returns:
      The `TrainingParameters` instance with default configuration.